IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Site nav items

Items in the navigation bar of a site

The site nav item object

Attributes

iduuid

Unique identifier

parent_iduuid | null
site_nav_items.id

Identifier of the parent navigation item

site_iduuid
sites.id

Identifier of the site this navigation item is defined in

site_page_iduuid | null
site_pages.id

Identifier of the related page. Only applies when type is internal

created_attimestamp with time zone

Creation timestamp

labelMultiLanguageString

Localized label of the navigation item

orderinteger

Order of the navigation item as displayed on the site

target"_blank" | "_self"

Where the link is opened (_self, or _blank)

urlMultiLanguageString

URL of the navigation item. Only applies when type is external

The site nav item object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "parent_id": "00000000-0000-0000-0000-000000000000",
  "site_id": "00000000-0000-0000-0000-000000000000",
  "site_page_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T05:19:01.541Z",
  "label": {
    "default": "Hello",
    "nl-NL": "Hallo"
  },
  "order": 0,
  "target": "_self",
  "url": {
    "default": "Hello",
    "nl-NL": "Hallo"
  }
}

List site nav items

Filters

idFilter<uuid>

Unique identifier

parent_idFilter<uuid | null>
site_nav_items.id

Identifier of the parent navigation item

site_idFilter<uuid>
sites.id

Identifier of the site this navigation item is defined in

site_page_idFilter<uuid | null>
site_pages.id

Identifier of the related page. Only applies when type is internal

created_atFilter<timestamp with time zone>

Creation timestamp

labelFilter<MultiLanguageString>

Localized label of the navigation item

orderFilter<integer>

Order of the navigation item as displayed on the site

targetFilter<"_blank" | "_self">

Where the link is opened (_self, or _blank)

urlFilter<MultiLanguageString>

URL of the navigation item. Only applies when type is external

Responses

200

A list of site nav items with the selected columns

206

Partial Content

GET /site_nav_items
curl -X GET "https://api.bookingmood.com/v1/site_nav_items?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create site nav items

Body

Partial<SiteNavItem> | Array<Partial<SiteNavItem>>

Responses

201

The newly created site nav items with the selected columns

POST /site_nav_items
curl -X POST "https://api.bookingmood.com/v1/site_nav_items" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete site nav items

Filters

idFilter<uuid>

Unique identifier

parent_idFilter<uuid | null>
site_nav_items.id

Identifier of the parent navigation item

site_idFilter<uuid>
sites.id

Identifier of the site this navigation item is defined in

site_page_idFilter<uuid | null>
site_pages.id

Identifier of the related page. Only applies when type is internal

created_atFilter<timestamp with time zone>

Creation timestamp

labelFilter<MultiLanguageString>

Localized label of the navigation item

orderFilter<integer>

Order of the navigation item as displayed on the site

targetFilter<"_blank" | "_self">

Where the link is opened (_self, or _blank)

urlFilter<MultiLanguageString>

URL of the navigation item. Only applies when type is external

Responses

204

The deleted site nav items with the selected columns

DELETE /site_nav_items
curl -X DELETE "https://api.bookingmood.com/v1/site_nav_items" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update site nav items

Filters

idFilter<uuid>

Unique identifier

parent_idFilter<uuid | null>
site_nav_items.id

Identifier of the parent navigation item

site_idFilter<uuid>
sites.id

Identifier of the site this navigation item is defined in

site_page_idFilter<uuid | null>
site_pages.id

Identifier of the related page. Only applies when type is internal

created_atFilter<timestamp with time zone>

Creation timestamp

labelFilter<MultiLanguageString>

Localized label of the navigation item

orderFilter<integer>

Order of the navigation item as displayed on the site

targetFilter<"_blank" | "_self">

Where the link is opened (_self, or _blank)

urlFilter<MultiLanguageString>

URL of the navigation item. Only applies when type is external

Body

Partial<SiteNavItem>

Responses

204

The updated site nav items with the selected columns

PATCH /site_nav_items
curl -X PATCH "https://api.bookingmood.com/v1/site_nav_items" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'